## org.eclipse.emf.common.util
Class BasicEList.NonResolvingEIterator<E1>

    java.lang.Object
      org.eclipse.emf.common.util.BasicEList.EIterator<E1>
          org.eclipse.emf.common.util.BasicEList.NonResolvingEIterator<E1>

All Implemented Interfaces:
  java.util.Iterator<E1>

Enclosing class:
  BasicEList<E>

    protected class BasicEList.NonResolvingEIterator<E1>

extends BasicEList.EIterator<E1>

An extended read-only iterator that does not `resolve` objects.

Field Summary

Fields inherited from class org.eclipse.emf.common.util.BasicEList.EIterator
`cursor, expectedModCount, lastCursor`

Constructor Summary
`protected` `BasicEList.NonResolvingEIterator()`

Method Summary
`protected E` `doNext()` Returns the next object and advances the iterator.
`void` `remove()` Throws and exception.

Methods inherited from class org.eclipse.emf.common.util.BasicEList.EIterator
`checkModCount, hasNext, next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicEList.NonResolvingEIterator

    protected BasicEList.NonResolvingEIterator()

Method Detail

### doNext

    protected E doNext()

  Returns the next object and advances the iterator. This implementation accesses the data storage directly.

  Overrides:
    `doNext` in class `BasicEList.EIterator<E1>`
  Returns:
    the next object.
  Throws:
    `java.util.NoSuchElementException` - if the iterator is done.

### remove

    public void remove()

  Throws and exception.

  Specified by:
    `remove` in interface `java.util.Iterator<E1>`
  Overrides:
    `remove` in class `BasicEList.EIterator<E1>`
  Throws:
    `java.lang.UnsupportedOperationException` - always because it's not supported.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.